driver.hh File Reference
`#include <gecode/minimodel.hh>`
`#include <gecode/search.hh>`
`#include <gecode/gist.hh>`
`#include <gecode/support/auto-link.hpp>`
`#include <gecode/driver/options.hpp>`
`#include <gecode/driver/script.hpp>`

Go to the source code of this file.

## Classes

class | Gecode::Driver::BaseOption
| Base class for options. More...
class | Gecode::Driver::StringValueOption
| String-valued option. More...
class | Gecode::Driver::StringOption
| String-valued option (integer value defined by strings). More...
class | Gecode::Driver::StringOption::Value
| Option value. More...
class | Gecode::Driver::IntOption
| Integer option. More...
class | Gecode::Driver::UnsignedIntOption
| Unsigned integer option. More...
class | Gecode::Driver::DoubleOption
| Double option. More...
class | Gecode::Driver::BoolOption
| Boolean option. More...
class | Gecode::Driver::IplOption
| Integer propagation level option. More...
class | Gecode::Driver::TraceOption
| Trace flag option. More...
class | Gecode::BaseOptions
| Base class for script options. More...
class | Gecode::Options
| Options for scripts More...
class | Gecode::Options::_I
| Helper class storing Gist inspectors. More...
class | Gecode::SizeOptions
| Options for scripts with additional size parameter More...
class | Gecode::InstanceOptions
| Options for scripts with additional instance parameter More...
class | Gecode::Driver::ScriptBase< BaseSpace >
| Parametric base-class for scripts. More...
class | Gecode::Driver::ExtractStepOption< BaseSpace >
| Class to extract the step option value. More...
class | Gecode::Driver::IgnoreStepOption< BaseSpace >
| Class to ignore the step option value. More...

## Namespaces

namespace | Gecode::Driver
| Script commandline driver.
namespace | Gecode
| Gecode toplevel namespace

## Macros

#define | GECODE_DRIVER_EXPORT
#define | GECODE_LIBRARY_NAME "Driver"

## Typedefs

typedef Driver::ScriptBase< Driver::IgnoreStepOption< Space > > | Gecode::Script
| Base-class for scripts.
typedef Driver::ScriptBase< Driver::IgnoreStepOption< IntMinimizeSpace > > | Gecode::IntMinimizeScript
| Base-class for scripts for finding solution of lowest integer cost.
typedef Driver::ScriptBase< Driver::IgnoreStepOption< IntMaximizeSpace > > | Gecode::IntMaximizeScript
| Base-class for scripts for finding solution of highest integer cost.
typedef Driver::ScriptBase< Driver::IgnoreStepOption< IntLexMinimizeSpace > > | Gecode::IntLexMinimizeScript
| Base-class for scripts for finding solution of lexically lowest integer costs.
typedef Driver::ScriptBase< Driver::IgnoreStepOption< IntLexMaximizeSpace > > | Gecode::IntLexMaximizeScript
| Base-class for scripts for finding solution of lexically highest integer costs.
typedef Driver::ScriptBase< Driver::ExtractStepOption< FloatMinimizeSpace > > | Gecode::FloatMinimizeScript
| Base-class for scripts for finding solution of lowest float cost.
typedef Driver::ScriptBase< Driver::ExtractStepOption< FloatMaximizeSpace > > | Gecode::FloatMaximizeScript
| Base-class for scripts for finding solution of highest float cost.

## Enumerations

enum | Gecode::ScriptMode { Gecode::SM_SOLUTION , Gecode::SM_TIME , Gecode::SM_STAT , Gecode::SM_GIST , Gecode::SM_CPPROFILER }
| Different modes for executing scripts. More...
enum | Gecode::RestartMode { Gecode::RM_NONE , Gecode::RM_CONSTANT , Gecode::RM_LINEAR , Gecode::RM_LUBY , Gecode::RM_GEOMETRIC }
| Different modes for restart-based search. More...

## Macro Definition Documentation

## GECODE_DRIVER_EXPORT

#define GECODE_DRIVER_EXPORT

Definition at line 61 of file driver.hh.

## GECODE_LIBRARY_NAME

#define GECODE_LIBRARY_NAME "Driver"

Definition at line 68 of file driver.hh.